BUILD_DIR = dist
EXECUTABLE = $(BUILD_DIR)/game_engine

$(BUILD_DIR)/CMakeCache.txt:
	cmake -B $(BUILD_DIR) .

build: $(BUILD_DIR)/CMakeCache.txt
	make -C $(BUILD_DIR)

run: build
	$(EXECUTABLE)

clean:
	rm -rf $(BUILD_DIR)

